ALAS2-2019-1155


Amazon Linux 2 Security Advisory: ALAS-2019-1155
Advisory Release Date: 2019-01-25 01:05 Pacific
Severity: Medium
References: CVE-2018-11763 

Issue Overview:

In Apache HTTP Server 2.4.17 to 2.4.34, by sending continuous, large SETTINGS frames a client can occupy a connection, server thread and CPU time without any connection timeout coming to effect. This affects only HTTP/2 connections. A possible mitigation is to not enable the h2 protocol.(CVE-2018-11763 )


Affected Packages:

httpd


Issue Correction:
Run yum update httpd to update your system.

New Packages:
aarch64:
    httpd-2.4.37-1.amzn2.0.1.aarch64
    httpd-devel-2.4.37-1.amzn2.0.1.aarch64
    httpd-tools-2.4.37-1.amzn2.0.1.aarch64
    mod_ssl-2.4.37-1.amzn2.0.1.aarch64
    mod_md-2.4.37-1.amzn2.0.1.aarch64
    mod_proxy_html-2.4.37-1.amzn2.0.1.aarch64
    mod_ldap-2.4.37-1.amzn2.0.1.aarch64
    mod_session-2.4.37-1.amzn2.0.1.aarch64
    httpd-debuginfo-2.4.37-1.amzn2.0.1.aarch64

i686:
    httpd-2.4.37-1.amzn2.0.1.i686
    httpd-devel-2.4.37-1.amzn2.0.1.i686
    httpd-tools-2.4.37-1.amzn2.0.1.i686
    mod_ssl-2.4.37-1.amzn2.0.1.i686
    mod_md-2.4.37-1.amzn2.0.1.i686
    mod_proxy_html-2.4.37-1.amzn2.0.1.i686
    mod_ldap-2.4.37-1.amzn2.0.1.i686
    mod_session-2.4.37-1.amzn2.0.1.i686
    httpd-debuginfo-2.4.37-1.amzn2.0.1.i686

noarch:
    httpd-manual-2.4.37-1.amzn2.0.1.noarch
    httpd-filesystem-2.4.37-1.amzn2.0.1.noarch

src:
    httpd-2.4.37-1.amzn2.0.1.src

x86_64:
    httpd-2.4.37-1.amzn2.0.1.x86_64
    httpd-devel-2.4.37-1.amzn2.0.1.x86_64
    httpd-tools-2.4.37-1.amzn2.0.1.x86_64
    mod_ssl-2.4.37-1.amzn2.0.1.x86_64
    mod_md-2.4.37-1.amzn2.0.1.x86_64
    mod_proxy_html-2.4.37-1.amzn2.0.1.x86_64
    mod_ldap-2.4.37-1.amzn2.0.1.x86_64
    mod_session-2.4.37-1.amzn2.0.1.x86_64
    httpd-debuginfo-2.4.37-1.amzn2.0.1.x86_64